# Searches for registrations using predefined parameters Searches for registrations using predefined parameters Endpoint: POST /registrations/{tenantId}/search Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `exclusiveStartKey` (string) The start key for the search, for paging support - `fieldsToReturn` (string) The fields that you want to retrieve; if omitted, the entire object is returned ## Request fields (application/json): - `city` (string) The member city - `contact_id` (array) - `country` (string) The member country - `date` (array) - `deadline_id` (array) - `email_address` (string) The member's email address - `event_id` (string, required) - `first_name` (string) The member's first name - `group_id` (array) - `ids` (array) IDs to search - `is_guest_registration` (array) - `job_title` (string) The member job title - `last_name` (string) The member's last name - `name` (string, required) The member's name - `order_amount_paid` (array) - `order_balance_due` (array) - `order_id` (array) - `order_number` (array) - `order_status` (array) - `order_total` (array) - `organization_id` (array) - `package_id` (array) - `parent_registration_id` (array) - `state` (string) The state - `status` (array) - `type_id` (array) ## Response 200 fields (application/json): - `Items` (array) - `Items.bio` (string) The speaker bio - `Items.city` (string) The member city - `Items.contact_id` (string, required) The contact - `Items.country` (string) The member country - `Items.display_order` (string) Display order - `Items.email_address` (string) The member's email address - `Items.event_id` (string, required) The event - `Items.featured` (boolean) Whether or not this is a featured speaker - `Items.first_name` (string) The member's first name - `Items.id` (string) The unique, string identifier of this speaker profile - `Items.job_title` (string) The member job title - `Items.last_name` (string) The member's last name - `Items.name` (string, required) The member's name - `Items.organization_id` (string) The organization id - `Items.organization_name` (string) The organization name - `Items.photo_uri` (string) The speaker photo - `Items.state` (string) The state - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields